Main Page Widgets Namespaces Book

# widget.h File Reference

## Namespaces

namespace | Gtk
namespace | Glib

## Classes

class | Gtk::Widget
| Abstract Widget (Base class for all widgets). More...

## Typedefs

typedef GtkRequisition | Requisition
typedef Gdk::Rectangle | Allocation

## Enumerations

enum | DestDefaults { DEST_DEFAULT_MOTION = 1 << 0, DEST_DEFAULT_HIGHLIGHT = 1 << 1, DEST_DEFAULT_DROP = 1 << 2, DEST_DEFAULT_ALL = 0x07 }

enum

WidgetFlags {
TOPLEVEL = 1 << 4,
NO_WINDOW = 1 << 5,
REALIZED = 1 << 6,
MAPPED = 1 << 7,
VISIBLE = 1 << 8,
SENSITIVE = 1 << 9,
PARENT_SENSITIVE = 1 << 10,
CAN_FOCUS = 1 << 11,
HAS_FOCUS = 1 << 12,
CAN_DEFAULT = 1 << 13,
HAS_DEFAULT = 1 << 14,
HAS_GRAB = 1 << 15,
RC_STYLE = 1 << 16,
COMPOSITE_CHILD = 1 << 17,
NO_REPARENT = 1 << 18,
APP_PAINTABLE = 1 << 19,
RECEIVES_DEFAULT = 1 << 20,
DOUBLE_BUFFERED = 1 << 21,
NO_SHOW_ALL = 1 << 22
}

enum | WidgetHelpType { WIDGET_HELP_TOOLTIP, WIDGET_HELP_WHATS_THIS }

## Functions

DestDefaults | operator| (DestDefaults lhs, DestDefaults rhs)
DestDefaults | operator& (DestDefaults lhs, DestDefaults rhs)
DestDefaults | operator^ (DestDefaults lhs, DestDefaults rhs)
DestDefaults | operator~ (DestDefaults flags)
DestDefaults& | operator|= (DestDefaults& lhs, DestDefaults rhs)
DestDefaults& | operator&= (DestDefaults& lhs, DestDefaults rhs)
DestDefaults& | operator^= (DestDefaults& lhs, DestDefaults rhs)
WidgetFlags | operator| (WidgetFlags lhs, WidgetFlags rhs)
WidgetFlags | operator& (WidgetFlags lhs, WidgetFlags rhs)
WidgetFlags | operator^ (WidgetFlags lhs, WidgetFlags rhs)
WidgetFlags | operator~ (WidgetFlags flags)
WidgetFlags& | operator|= (WidgetFlags& lhs, WidgetFlags rhs)
WidgetFlags& | operator&= (WidgetFlags& lhs, WidgetFlags rhs)
WidgetFlags& | operator^= (WidgetFlags& lhs, WidgetFlags rhs)

## Typedef Documentation

typedef Gdk::Rectangle Gtk::Allocation

typedef GtkRequisition Gtk::Requisition